package com.example.employee.employee.model;
// Generated Nov 28, 2019 3:40:09 PM by Hibernate Tools 4.3.5.Final

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Parameter generated by hbm2java
 */
@Entity
@Table(name = "parameter", schema = "public")
public class Parameter implements java.io.Serializable {

	private long idParam;
	private Date tbParameter;
	private BigDecimal TKeluarga;
	private BigDecimal TTransport;
	private BigDecimal PBpjs;
	private BigDecimal lembur;
	private BigDecimal bonusPg;
	private BigDecimal bonusTs;
	private BigDecimal bonusTw;
	private Integer batasanBonusPg;
	private Integer batasanBonusTs;
	private Integer batasanBonusTw;
	private BigDecimal maxBonus;

	public Parameter() {
	}

	public Parameter(long idParam, Date tbParameter, BigDecimal PBpjs, BigDecimal lembur, BigDecimal bonusPg,
			BigDecimal bonusTs, BigDecimal bonusTw) {
		this.idParam = idParam;
		this.tbParameter = tbParameter;
		this.PBpjs = PBpjs;
		this.lembur = lembur;
		this.bonusPg = bonusPg;
		this.bonusTs = bonusTs;
		this.bonusTw = bonusTw;
	}

	public Parameter(long idParam, Date tbParameter, BigDecimal TKeluarga, BigDecimal TTransport, BigDecimal PBpjs,
			BigDecimal lembur, BigDecimal bonusPg, BigDecimal bonusTs, BigDecimal bonusTw, Integer batasanBonusPg,
			Integer batasanBonusTs, Integer batasanBonusTw, BigDecimal maxBonus) {
		this.idParam = idParam;
		this.tbParameter = tbParameter;
		this.TKeluarga = TKeluarga;
		this.TTransport = TTransport;
		this.PBpjs = PBpjs;
		this.lembur = lembur;
		this.bonusPg = bonusPg;
		this.bonusTs = bonusTs;
		this.bonusTw = bonusTw;
		this.batasanBonusPg = batasanBonusPg;
		this.batasanBonusTs = batasanBonusTs;
		this.batasanBonusTw = batasanBonusTw;
		this.maxBonus = maxBonus;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "parameter_id_seq_gen")
	@SequenceGenerator(name="parameter_id_seq_gen", sequenceName="parameter_id_seq", schema = "public", allocationSize = 1)
	@Column(name = "id_param", unique = true, nullable = false)
	public long getIdParam() {
		return this.idParam;
	}

	public void setIdParam(long idParam) {
		this.idParam = idParam;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "`TB_PARAMETER`", nullable = false, length = 13)
	public Date getTbParameter() {
		return this.tbParameter;
	}

	public void setTbParameter(Date tbParameter) {
		this.tbParameter = tbParameter;
	}

	@Column(name = "`T_KELUARGA`", precision = 16, scale = 4)
	public BigDecimal getTKeluarga() {
		return this.TKeluarga;
	}

	public void setTKeluarga(BigDecimal TKeluarga) {
		this.TKeluarga = TKeluarga;
	}

	@Column(name = "`T_TRANSPORT`", precision = 16, scale = 4)
	public BigDecimal getTTransport() {
		return this.TTransport;
	}

	public void setTTransport(BigDecimal TTransport) {
		this.TTransport = TTransport;
	}

	@Column(name = "`P_BPJS`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getPBpjs() {
		return this.PBpjs;
	}

	public void setPBpjs(BigDecimal PBpjs) {
		this.PBpjs = PBpjs;
	}

	@Column(name = "`LEMBUR`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getLembur() {
		return this.lembur;
	}

	public void setLembur(BigDecimal lembur) {
		this.lembur = lembur;
	}

	@Column(name = "`BONUS_PG`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getBonusPg() {
		return this.bonusPg;
	}

	public void setBonusPg(BigDecimal bonusPg) {
		this.bonusPg = bonusPg;
	}

	@Column(name = "`BONUS_TS`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getBonusTs() {
		return this.bonusTs;
	}

	public void setBonusTs(BigDecimal bonusTs) {
		this.bonusTs = bonusTs;
	}

	@Column(name = "`BONUS_TW`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getBonusTw() {
		return this.bonusTw;
	}

	public void setBonusTw(BigDecimal bonusTw) {
		this.bonusTw = bonusTw;
	}

	@Column(name = "`BATASAN_BONUS_PG`")
	public Integer getBatasanBonusPg() {
		return this.batasanBonusPg;
	}

	public void setBatasanBonusPg(Integer batasanBonusPg) {
		this.batasanBonusPg = batasanBonusPg;
	}

	@Column(name = "`BATASAN_BONUS_TS`")
	public Integer getBatasanBonusTs() {
		return this.batasanBonusTs;
	}

	public void setBatasanBonusTs(Integer batasanBonusTs) {
		this.batasanBonusTs = batasanBonusTs;
	}

	@Column(name = "`BATASAN_BONUS_TW`")
	public Integer getBatasanBonusTw() {
		return this.batasanBonusTw;
	}

	public void setBatasanBonusTw(Integer batasanBonusTw) {
		this.batasanBonusTw = batasanBonusTw;
	}

	@Column(name = "`MAX_BONUS`", precision = 16, scale = 4)
	public BigDecimal getMaxBonus() {
		return this.maxBonus;
	}

	public void setMaxBonus(BigDecimal maxBonus) {
		this.maxBonus = maxBonus;
	}

}
